# TDR: Topological Dimensional Reduction
This method allows for topological dimensionality reduction on the data. In this method, the columns of the reduced data set are from the original data set.

## Transform 
This function convert data into categories (1,2,3,4,...) based on standard deviation.

## Core
This function finds the core according to topological methods. This core show us how important which column is.

## TDR
This version is primal version, not effective with big amounts data.
It outputs the important column numbers (with index +1) and their importance levels as a list.


## TDR_V2
This version is much faster.
It outputs the important column numbers (with index +1) and their importance levels as a list.

The developer of the code is Kenan Evren BOYABATLI, e-mail: kbybtli@gmail.com
Developer of the system is Dr. Uğur YİĞİT, e-mail: ugur.yigit@medeniyet.edu.tr

## TDR_V3 (available)
This version is much faster.
Rewrote the "transform" function for more stability.

## Citation Importance:

Although our algorithm is open source, it is important that our work is recognized and documented academically. In this way, we can trace the origin of the algorithm and those who contributed to its development. Please refer to the following article when using the algorithm:

Yiğit, Uğur. "The Rough Topology for Numerical Data." arXiv preprint arXiv:2206.05776 (2022). https://doi.org/10.48550/arXiv.2206.05776

Gökhan Kazar, Uğur Yiğit, Kenan Evren Boyabatlı,
Predicting maintenance cost overruns in public school buildings using a rough topological approach,
Automation in Construction,
Volume 168, Part A,
2024,
105810,
ISSN 0926-5805,
https://doi.org/10.1016/j.autcon.2024.105810.

If you have any questions or feedback, please contact us.